Package wx :: Package lib :: Package colourchooser :: Module pycolourbox :: Class PyColourBox

[frames | no frames]

## Type PyColourBox

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                            PyColourBox

A Colour Selection Box

The Colour selection box implements button like behavior but contains a solid-filled, coloured sub-box. Placing the colour in a sub-box allows for filling in the main panel's background for a high-lighting effect.

Method Summary
| ``__init__`(self, parent, id, colour, size)` Creates a new colour box instance and initializes the colour content.
| ``GetColour`(self)` Returns a wxColour object indicating the box's current colour.
| ``GetColourBox`(self)` Returns a reference to the internal box object containing the color.
| ``SetColour`(self, colour)` Accepts a wxColour object and sets the box's current color.
| ``SetColourTuple`(self, colour)` Sets the box's current couple to the given tuple.
| ``SetHighlight`(self, val)` Accepts a boolean 'val' toggling the box's highlighting.
| `Update(self)`

Property Summary

Instance Method Details

### __init__(self, parent, id, colour=(0, 0, 0), size=(25, 20))
(Constructor)

Creates a new colour box instance and initializes the colour content.

  Overrides:
    `wx.Panel.__init__`

### GetColour(self)

Returns a wxColour object indicating the box's current colour.

### GetColourBox(self)

Returns a reference to the internal box object containing the color. This function is useful for setting up event handlers for the box.

### SetColour(self, colour)

Accepts a wxColour object and sets the box's current color.

### SetColourTuple(self, colour)

Sets the box's current couple to the given tuple.

### SetHighlight(self, val)

Accepts a boolean 'val' toggling the box's highlighting.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:39 2007 | http://epydoc.sf.net